{
  "name": "vuexy-vuejs-admin-template",
  "version": "9.0.1",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview --port 5050",
    "typecheck": "vue-tsc --noEmit",
    "lint": "eslint . -c .eslintrc.cjs --fix --rulesdir eslint-internal-rules/ --ext .ts,.js,.cjs,.vue,.tsx,.jsx",
    "build:icons": "tsx src/plugins/iconify/build-icons.ts",
    "msw:init": "msw init public/ --save",
    "postinstall": "npm run build:icons && npm run msw:init",
    "html-lint": "eslint . -c .eslintrc.cjs --fix --rulesdir eslint-internal-rules/ --ext .ts,.js,.cjs,.vue,.tsx,.jsx --format node_modules/eslint-html-reporter/reporter.js -o eslint-report.html --cache"
  },
  "dependencies": {
    "@casl/ability": "^6.5.0",
    "@casl/vue": "^2.2.1",
    "@floating-ui/dom": "1.5.3",
    "@iconify-json/fa": "^1.1.5",
    "@iconify-json/tabler": "^1.1.96",
    "@sindresorhus/is": "^6.0.1",
    "@tiptap/extension-highlight": "^2.1.12",
    "@tiptap/extension-image": "^2.1.12",
    "@tiptap/extension-link": "^2.1.12",
    "@tiptap/extension-text-align": "^2.1.12",
    "@tiptap/pm": "^2.1.12",
    "@tiptap/starter-kit": "^2.1.12",
    "@tiptap/vue-3": "^2.1.12",
    "@vue-flow/background": "^1.3.0",
    "@vue-flow/controls": "^1.1.1",
    "@vue-flow/core": "^1.33.6",
    "@vue-flow/minimap": "^1.4.0",
    "@vue-flow/node-resizer": "^1.3.6",
    "@vue-flow/node-toolbar": "^1.1.0",
    "@vuelidate/core": "^2.0.3",
    "@vuelidate/validators": "^2.0.4",
    "@vueuse/core": "^10.5.0",
    "@vueuse/math": "^10.5.0",
    "ansi_up": "^6.0.2",
    "apexcharts-clevision": "^3.28.5",
    "axios": "^1.6.8",
    "chart.js": "^4.4.0",
    "cookie-es": "^1.0.0",
    "cron-parser": "^5.0.4",
    "date-fns": "^3.6.0",
    "feather-icons": "^4.29.2",
    "jwt-decode": "^3.1.2",
    "mapbox-gl": "2.15.0",
    "marked": "^14.1.1",
    "ofetch": "^1.3.3",
    "pinia": "^2.1.7",
    "prismjs": "^1.29.0",
    "roboto-fontface": "^0.10.0",
    "shepherd.js": "^11.2.0",
    "swiper": "^10.3.1",
    "ufo": "^1.3.1",
    "unplugin-vue-define-options": "^1.3.18",
    "vee-validate": "^4.12.6",
    "vue": "^3.3.4",
    "vue-chartjs": "^5.2.0",
    "vue-flatpickr-component": "11.0.3",
    "vue-form-wizard": "^0.8.4",
    "vue-i18n": "^9.5.0",
    "vue-prism-component": "^2.0.0",
    "vue-ripple-directive": "^2.0.1",
    "vue-router": "^4.2.5",
    "vue3-apexcharts": "^1.4.4",
    "vue3-perfect-scrollbar": "^1.6.1",
    "vuetify": "3.6.0",
    "vuex": "^4.0.2",
    "webfontloader": "^1.6.28"
  },
  "devDependencies": {
    "@antfu/eslint-config-vue": "^0.43.1",
    "@antfu/utils": "^0.7.6",
    "@fullcalendar/core": "^6.1.9",
    "@fullcalendar/daygrid": "^6.1.9",
    "@fullcalendar/interaction": "^6.1.9",
    "@fullcalendar/list": "^6.1.9",
    "@fullcalendar/timegrid": "^6.1.9",
    "@fullcalendar/vue3": "^6.1.9",
    "@iconify-json/mdi": "^1.1.54",
    "@iconify/tools": "^3.0.5",
    "@iconify/utils": "^2.1.11",
    "@iconify/vue": "4.1.1",
    "@intlify/unplugin-vue-i18n": "^1.4.0",
    "@tabler/icons": "^2.39.0",
    "@tiptap/extension-character-count": "^2.1.12",
    "@tiptap/extension-placeholder": "^2.1.12",
    "@tiptap/extension-subscript": "^2.1.12",
    "@tiptap/extension-superscript": "^2.1.12",
    "@tiptap/extension-underline": "^2.1.12",
    "@types/mapbox-gl": "^2.7.16",
    "@types/node": "^20.8.6",
    "@types/webfontloader": "^1.6.35",
    "@typescript-eslint/eslint-plugin": "^6.8.0",
    "@typescript-eslint/parser": "^6.8.0",
    "@videojs-player/vue": "^1.0.0",
    "@vitejs/plugin-vue": "^4.4.0",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "eslint": "^8.51.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-html-reporter": "^0.7.4",
    "eslint-import-resolver-typescript": "^3.6.1",
    "eslint-plugin-case-police": "^0.6.1",
    "eslint-plugin-import": "^2.28.1",
    "eslint-plugin-promise": "^6.1.1",
    "eslint-plugin-regex": "^1.10.0",
    "eslint-plugin-sonarjs": "^0.21.0",
    "eslint-plugin-unicorn": "^48.0.1",
    "eslint-plugin-vue": "^9.17.0",
    "msw": "^1.3.2",
    "postcss-html": "^1.5.0",
    "postcss-scss": "^4.0.9",
    "sass": "^1.69.4",
    "stylelint": "15.11.0",
    "stylelint-codeguide": "0.3.2",
    "stylelint-config-idiomatic-order": "9.0.0",
    "stylelint-config-standard-scss": "11.0.0",
    "stylelint-use-logical-spec": "5.0.0",
    "tsx": "^3.14.0",
    "type-fest": "^4.4.0",
    "typescript": "^5.2.2",
    "unplugin-auto-import": "^0.16.6",
    "unplugin-vue-components": "^0.25.2",
    "video.js": "^7.0.0",
    "vite": "^4.4.11",
    "vite-plugin-vue-devtools": "1.0.0-rc.5",
    "vite-plugin-vue-layouts": "^0.8.0",
    "vite-plugin-vuetify": "1.0.2",
    "vue-shepherd": "^3.0.0",
    "vue-tsc": "^1.8.19"
  },
  "resolutions": {
    "postcss": "^8",
    "@tiptap/core": "^2",
    "@types/video.js": "^7",
    "pug": "^3",
    "apexcharts": "^3",
    "stylelint-order": "6.0.3"
  },
  "overrides": {
    "postcss": "^8",
    "@tiptap/core": "^2",
    "@types/video.js": "^7",
    "pug": "^3",
    "apexcharts": "^3",
    "stylelint-order": "6.0.3"
  },
  "packageManager": "pnpm@8.6.2",
  "msw": {
    "workerDirectory": "public"
  }
}
